xcb_render_set_picture_filter(3)

NAME
xcb_render_set_picture_filter -

SYNOPSIS
#include <xcb/render.h>

  Request function

xcb_void_cookie_t xcb_render_set_picture_filter(xcb_connection_t *conn, xcb_render_picture_t picture, uint16_t filter_len, const char *filter, uint32_t values_len, const xcb_render_fixed_t *values);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

picture
    TODO: NOT YET DOCUMENTED.

filter_len
    TODO: NOT YET DOCUMENTED.

filter
    TODO: NOT YET DOCUMENTED.

values_len
    TODO: NOT YET DOCUMENTED.

values
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_render_set_picture_filter_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from render.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.